Bug 268933 - Category editing is tedious and confusing
Summary: Category editing is tedious and confusing
Status: RESOLVED FIXED
Alias: None
Product: skrooge
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Stephane MANKOWSKI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-20 05:29 UTC by Adam Porter
Modified: 2011-03-27 12:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Porter 2011-03-20 05:29:09 UTC
Version:           unspecified
OS:                Linux

I wanted to add a "Supplies" category under "Household".  I right-clicked Household, but there was no "Add category" option.  I figured out the Add button at the bottom does that.  But it made a "Household" category under "Household."  I right-clicked the entry, but there's no "Rename category".  I typed in the box next to Add, changing Household to Supplies, but nothing changed.  I hit enter, nothing changed.  Finally I figured out that I have to click Modify.

By the way, the UI for entering split transactions is...uh...cramped, to say the least.

This is confusing and tedious.  I'm sorry, but I think I'll stick with GnuCash until Skrooge matures.  I love KDE, but GnuCash is very quick and efficient to use when you learn it.  And when you're entering lots of boring numbers on a routine basis, efficency is very important.

Reproducible: Didn't try




OS: Linux (i686) release 2.6.35-28-generic
Compiler: cc
Comment 1 Stephane MANKOWSKI 2011-03-27 12:48:34 UTC
Git commit ce88a496923de3d1c5654b685d47c0b534c2c555 by Stephane Mankowski.
Committed on 27/03/2011 at 12:50.
Pushed by smankowski into branch '268933'.

BUG: 268933: Category editing is tedious and confusing

M  +1    -0    CHANGELOG     
M  +1    -1    skgbasegui/skgtablewithgraph.cpp     
M  +28   -14   skrooge_categories/skgcategoriespluginwidget.cpp     
M  +46   -11   skrooge_categories/skgcategoriespluginwidget_base.ui     

http://commits.kde.org/skrooge/ce88a496923de3d1c5654b685d47c0b534c2c555